> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates member properties.



## OpenAPI

````yaml openapi/member-v1.json PATCH /v1/members/{memberId}
openapi: 3.0.4
info:
  title: MemberService.Api
  version: v1
servers:
  - url: https://{host}/member
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/members/{memberId}:
    patch:
      tags:
        - Service2Service
      summary: Updates member properties.
      parameters:
        - name: memberId
          in: path
          description: Id of member
          required: true
          schema:
            maxLength: 36
            type: string
      requestBody:
        description: Request with dictionary of member properties to update
        content:
          application/json:
            schema:
              type: object
              additionalProperties: {}
            examples:
              Update all properties:
                value:
                  gender: Female
                  firstName: Jane
                  lastName: Doe
                  birthdate: '1990-01-01'
                  selectedStoreId: '123'
                  email: newemail@example.com
                  phone: '123456789'
                  address:
                    zipCode: '12345'
                    city: ExampleCity
                    addressLine1: 123 Example St
                    addressLine2: Apt 4B
                    region: ExampleRegion
                    countryCode: US
                  metadata:
                    PreferredLanguage: ENG
                  loyaltyProgram: Gold
                  isEmployee: true
                  nationality: US
                  deceased: false
                  homeTelephone: +1-555-0123
                  isMembershipFeePaid: true
                  personalId: '12345678'
                  customProperties:
                    tier: Gold
                    score: 42
                    dateRegistered: '2024-01-15T09:00:00Z'
              Update only gender:
                value:
                  gender: Female
              Update name and contact information:
                value:
                  firstName: Jane
                  lastName: Doe
                  email: jane.doe@example.com
                  phone: '987654321'
              Update address only:
                value:
                  address:
                    zipCode: '54321'
                    city: New City
                    addressLine1: 456 New Street
                    countryCode: US
              Set selected store as null:
                value:
                  selectedStoreId: null
              Update employee-related fields:
                value:
                  isEmployee: true
                  personalId: '87654321'
              Set custom properties:
                value:
                  customproperties:
                    tier: Gold
                    score: 42
                    isVerified: true
              Set custom properties with date:
                value:
                  customproperties:
                    dateRegistered: '2024-06-15T10:30:00Z'
                    tier: Silver
              Update name and custom properties together:
                value:
                  firstName: Jane
                  lastName: Doe
                  customproperties:
                    score: 100
          text/json:
            schema:
              type: object
              additionalProperties: {}
            examples:
              Update all properties:
                value:
                  gender: Female
                  firstName: Jane
                  lastName: Doe
                  birthdate: '1990-01-01'
                  selectedStoreId: '123'
                  email: newemail@example.com
                  phone: '123456789'
                  address:
                    zipCode: '12345'
                    city: ExampleCity
                    addressLine1: 123 Example St
                    addressLine2: Apt 4B
                    region: ExampleRegion
                    countryCode: US
                  metadata:
                    PreferredLanguage: ENG
                  loyaltyProgram: Gold
                  isEmployee: true
                  nationality: US
                  deceased: false
                  homeTelephone: +1-555-0123
                  isMembershipFeePaid: true
                  personalId: '12345678'
                  customProperties:
                    tier: Gold
                    score: 42
                    dateRegistered: '2024-01-15T09:00:00Z'
              Update only gender:
                value:
                  gender: Female
              Update name and contact information:
                value:
                  firstName: Jane
                  lastName: Doe
                  email: jane.doe@example.com
                  phone: '987654321'
              Update address only:
                value:
                  address:
                    zipCode: '54321'
                    city: New City
                    addressLine1: 456 New Street
                    countryCode: US
              Set selected store as null:
                value:
                  selectedStoreId: null
              Update employee-related fields:
                value:
                  isEmployee: true
                  personalId: '87654321'
              Set custom properties:
                value:
                  customproperties:
                    tier: Gold
                    score: 42
                    isVerified: true
              Set custom properties with date:
                value:
                  customproperties:
                    dateRegistered: '2024-06-15T10:30:00Z'
                    tier: Silver
              Update name and custom properties together:
                value:
                  firstName: Jane
                  lastName: Doe
                  customproperties:
                    score: 100
          application/*+json:
            schema:
              type: object
              additionalProperties: {}
            examples:
              Update all properties:
                value:
                  gender: Female
                  firstName: Jane
                  lastName: Doe
                  birthdate: '1990-01-01'
                  selectedStoreId: '123'
                  email: newemail@example.com
                  phone: '123456789'
                  address:
                    zipCode: '12345'
                    city: ExampleCity
                    addressLine1: 123 Example St
                    addressLine2: Apt 4B
                    region: ExampleRegion
                    countryCode: US
                  metadata:
                    PreferredLanguage: ENG
                  loyaltyProgram: Gold
                  isEmployee: true
                  nationality: US
                  deceased: false
                  homeTelephone: +1-555-0123
                  isMembershipFeePaid: true
                  personalId: '12345678'
                  customProperties:
                    tier: Gold
                    score: 42
                    dateRegistered: '2024-01-15T09:00:00Z'
              Update only gender:
                value:
                  gender: Female
              Update name and contact information:
                value:
                  firstName: Jane
                  lastName: Doe
                  email: jane.doe@example.com
                  phone: '987654321'
              Update address only:
                value:
                  address:
                    zipCode: '54321'
                    city: New City
                    addressLine1: 456 New Street
                    countryCode: US
              Set selected store as null:
                value:
                  selectedStoreId: null
              Update employee-related fields:
                value:
                  isEmployee: true
                  personalId: '87654321'
              Set custom properties:
                value:
                  customproperties:
                    tier: Gold
                    score: 42
                    isVerified: true
              Set custom properties with date:
                value:
                  customproperties:
                    dateRegistered: '2024-06-15T10:30:00Z'
                    tier: Silver
              Update name and custom properties together:
                value:
                  firstName: Jane
                  lastName: Doe
                  customproperties:
                    score: 100
        required: true
      responses:
        '200':
          description: Member updated successfully.
        '400':
          description: Bad request if required fields are missing or invalid.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '404':
          description: Member not found.
        '409':
          description: Conflict if email or phone number is already in use.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````